This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1029919 - [RFE] An API for improved error reporting
[RFE] An API for improved error reporting
Status: CLOSED WORKSFORME
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
4.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 9.0 (Mitaka)
Assigned To: RHOS Maint
Dafna Ron
: FutureFeature
Depends On:
Blocks: 976279 981418 1118357
  Show dependency treegraph
 
Reported: 2013-11-13 09:21 EST by Julie Pichon
Modified: 2016-04-26 13:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-10 09:21:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julie Pichon 2013-11-13 09:21:49 EST
Description of problem:

Based on the discussion in bug 976279 especially comment 3, it would be useful if Cinder could offer an API for the user to understand why a volume ended up in an error state, e.g. not enough space (cf. bug 976279), attachment failure (cf. bug 981418), etc. This would enable front-ends like Horizon to provide more useful information to the user in case of failure / error.

Additional info:

This upstream blueprint may also be relevant: https://blueprints.launchpad.net/cinder/+spec/return-error-messages-to-horizon
Comment 3 Sean Cohen 2016-03-10 09:21:35 EST
See current Telemetry & Nagios Logging, Monitoring and Troubleshooting guide [1] we have also introduced in OSP7 several operational tools in tech-preview that include: centralized logging tools such as Fluentd, ElasticSearch & Kibana [2]

[1] https://access.redhat.com/webassets/avalon/d/Red_Hat_Enterprise_Linux_OpenStack_Platform-7-Logging_Monitoring_and_Troubleshooting_Guide-en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform-7-Logging_Monitoring_and_Troubleshooting_Guide-en-US.pdf
[2] https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/version-7/architecture-guide/ - see Logging and monitoring section.

Note You need to log in before you can comment on or make changes to this bug.